git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[jira] [Created] (HBASE-20656) Validate pre-2.0 coprocessors against HBase 2.0+


Balazs Meszaros created HBASE-20656:
---------------------------------------

             Summary: Validate pre-2.0 coprocessors against HBase 2.0+
                 Key: HBASE-20656
                 URL: https://issues.apache.org/jira/browse/HBASE-20656
             Project: HBase
          Issue Type: New Feature
          Components: tooling
    Affects Versions: 3.0.0
            Reporter: Balazs Meszaros
            Assignee: Balazs Meszaros


We have co-processors for a while, but the API has been changed recently. We should give some tooling for our users to determine if they can use the previous co-processors safely or not.

The tool should:
- try to load the co-processors on our current classpath for ensuring class references are on our classpath,
- should check for previously removed co-processor methods.

In this version we check only method signatures. Code references should be checked in further versions.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)